Message Queue, v4.4 API Specification

## javax.jms
Interface MessageListener

    public interface MessageListener

A `MessageListener` object is used to receive asynchronously delivered messages.

Each session must insure that it passes messages serially to the listener. This means that a listener assigned to one or more consumers of the same session can assume that the `onMessage` method is not called with the next message until the session has completed the last call.

Method Summary
`void` `onMessage(Message message)` Passes a message to the listener.

Method Detail

### onMessage

    void onMessage(Message message)

  Passes a message to the listener.

  Parameters:
    `message` - the message passed to the listener

Message Queue, v4.4 API Specification

Copyright 2009 Sun Microsystems, Inc.
4150 Network Circle, Santa Clara, CA 95054, U.S.A. All Rights Reserved.